﻿using System;
using System.Collections.Generic;
using System.ServiceProcess;
using System.Text;
using Bll;

namespace PDFtoSWFService
{
    static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        static void Main()
        {
#if !DEBUG
            ServiceBase[] ServicesToRun;
            ServicesToRun = new ServiceBase[] 
			{ 
				new PDFtoSWFService() 
			};
            ServiceBase.Run(ServicesToRun);
#else
            Console.WriteLine("服务启动");

            PDFtoSWF pdf2swf = new PDFtoSWF();
            pdf2swf.Start();

            Console.ReadLine();
            pdf2swf.Stop();
            
#endif
        }
    }
}
