﻿using System;
using System.Configuration;

namespace Utility
{
    public class AppConfiguration
    {
        /// <summary>
        /// PDF所在目录
        /// </summary>
        public static string PdfPath
        {
            get { return ConfigurationManager.AppSettings["PdfPath"]; }
        }

        /// <summary>
        /// 存放SWF的目录
        /// </summary>
        public static string SwfPath
        {
            get { return ConfigurationManager.AppSettings["SwfPath"]; }
        }

        /// <summary>
        /// 是否删除转后的Pdf,若不删除,则重命名。
        /// </summary>
        public static bool DeleteConvertedPdf
        {
            get { return Convert.ToBoolean(ConfigurationManager.AppSettings["DeleteConvertedPdf"]); }
        }

        /// <summary>
        /// 扫描时间间隔(单位:秒)。
        /// </summary>
        public static int Interval
        {
            get { return Convert.ToInt32(ConfigurationManager.AppSettings["Interval"]); }
        }
    }
}
